Get your check number results
Fetch check number results, filtrated by given parameters. Returns data with pagination. If no filter is provided, will return check number results for both reputation checking and lead checking.
Query Parameters
Optional field. Allows to filter number check results by group id. Will return all the checks from the same group.
Accepts a list of number check unique ids. If the list is empty, this filter is ignored.
Allows to filter by number check initiators. Accepts a list of strings. If the list is empty, this filter is ignored.
Optional field. Allows to filter by error presence.
Optional field. Allows to filter out refunded or not refunded number checks.
Optional field. Allows to filter by spam result.
Optional field. Allows to filter number check results by request id.
Optional parameter that allows to search number check results by request_id, group_id and/or number. The search operation is partial.
Allows to filter by number check service's category. Accepts a list of strings. If the list is empty, this filter is ignored.
Allows to filter by number check service's type. Accepts a list of strings. If the list is empty, this filter is ignored.
Allows to filter by number check statuses. Accepts a list of strings. If the list is empty, this filter is ignored.
Header Parameters
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/reputation/results" \ -H "Authorization: string"{
"data": [
{
"callback": {},
"checked_at": "string",
"created_at": "string",
"group_id": "string",
"id": 0,
"initiator": "undefined",
"is_error": true,
"is_refunded": true,
"is_spam": true,
"number": "string",
"request_id": "string",
"service": {
"category": "undefined",
"id": 0,
"price": 0,
"type": "basic"
},
"status": "undefined",
"transaction_id": 0
}
],
"page": 0,
"page_size": 0,
"total": 0,
"total_pages": 0
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}